summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorDavid Heidelberg <david@ixit.cz>2019-10-17 15:12:58 +0200
committerRobin H. Johnson <robbat2@gentoo.org>2019-11-01 21:40:44 -0700
commita9b645ada9f98ac46bd4123f026014e6be82aea2 (patch)
tree34ed66f4a53296b5a068f29080647ad0e72e6a8f /dev-lua/lgi
parentnet-mail/queue-fix: bump to EAPI 7 (diff)
downloadgentoo-a9b645ada9f98ac46bd4123f026014e6be82aea2.tar.gz
gentoo-a9b645ada9f98ac46bd4123f026014e6be82aea2.tar.bz2
gentoo-a9b645ada9f98ac46bd4123f026014e6be82aea2.zip
dev-lua/lgi: bump to 0.9.2
Closes: https://bugs.gentoo.org/664696 Signed-off-by: David Heidelberg <david@ixit.cz> (cherry picked from commit fed3c8e568a0711d3383c769ce6e4002ba630a5b) Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> Closes: https://github.com/gentoo/gentoo/pull/13327
Diffstat (limited to 'dev-lua/lgi')
-rw-r--r--dev-lua/lgi/Manifest1
-rw-r--r--dev-lua/lgi/lgi-0.9.2.ebuild56
2 files changed, 57 insertions, 0 deletions
diff --git a/dev-lua/lgi/Manifest b/dev-lua/lgi/Manifest
index 6b2058d953c..d524219d4cf 100644
--- a/dev-lua/lgi/Manifest
+++ b/dev-lua/lgi/Manifest
@@ -1,3 +1,4 @@
DIST lgi-0.6.2.tar.gz 257541 BLAKE2B 61d58b1b03fe01d43384693b21336149b06a04e638a32f46e685e0f6f1e7ad693ec3074af3ffcc789f053a2a085a58b41b81023f3b023625309f0f4ed6ae6cff SHA512 02b75f17f98d7f7240c335384a85cdb0bb1c1b117b4ea8baa065715c4e5ecac946618ef83f92ef476a87db3a17a29a0e21d71f4f79db3bc4e519cf795ae181f5
DIST lgi-0.7.2.tar.gz 270767 BLAKE2B 491fafccbf4d8c5086b48baad0022a76a1f829e0c9a55acbfbd4eaa283c2713ef3f4863a2abf12d24bae0ccb2284506da66578c2d26ab6bda3f6d891c39a8ff4 SHA512 e661e13d6f539c2c434a6b0db9e622ee4af3c039a6488617954643f0b46a908068a14e6d37ff44437fbe5b4cb62863699107ab533aca121d4b8d584ca83c35fc
DIST lgi-0.9.0.tar.gz 285248 BLAKE2B e5e6fe79899b70f46338827296b921c04c31ac1edc82e5c7a1d443c54c409aea65a766f3666b0ff9fca63a17cb50fe9727d0722007b16a1d4a6c77c48b9f3828 SHA512 1a486a40f504740224b1d277368df65e0a30708c02422390517c2fbf961b5fec264bdbc695d306e2f5fb2aa8ad4539212ef5314b18f45e3b488fd5f492a19f9e
+DIST lgi-0.9.2.tar.gz 291463 BLAKE2B d89752e7c56f9a695f97f90680515fd9acab57991121ec3455fcd88aa0b64828f060d9bf222fb1ab14bdfc956ec3ad296af848168532d09694a0cacbb55dac71 SHA512 755a96b78530f42da6d4e2664f8e37cb07a356419e7e6448003c3f841c9d98ad18b851715d9eb203ea7eb27b13ec46223fa8a1c90a99fd12960ce85b0a695335
diff --git a/dev-lua/lgi/lgi-0.9.2.ebuild b/dev-lua/lgi/lgi-0.9.2.ebuild
new file mode 100644
index 00000000000..fdd136c1aeb
--- /dev/null
+++ b/dev-lua/lgi/lgi-0.9.2.ebuild
@@ -0,0 +1,56 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+VIRTUALX_REQUIRED="manual"
+
+inherit eutils toolchain-funcs flag-o-matic virtualx
+
+DESCRIPTION="Lua bindings using gobject-introspection"
+HOMEPAGE="https://github.com/pavouk/lgi"
+SRC_URI="https://github.com/pavouk/lgi/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~ppc ~ppc64 ~x86"
+IUSE="examples test"
+
+BDEPEND="virtual/pkgconfig"
+RDEPEND=">=dev-lang/lua-5.1:=
+ dev-libs/gobject-introspection
+ dev-libs/glib
+ virtual/libffi:0="
+DEPEND="${RDEPEND}
+ test? (
+ x11-libs/cairo[glib]
+ x11-libs/gtk+[introspection]
+ ${VIRTUALX_DEPEND}
+ )"
+
+src_prepare() {
+ default
+
+ sed -i \
+ -e "s:^LUA_LIBDIR.*$:LUA_LIBDIR = $($(tc-getPKG_CONFIG) --variable INSTALL_CMOD lua):" \
+ -e "s:^LUA_SHAREDIR.*$:LUA_SHAREDIR = $($(tc-getPKG_CONFIG) --variable INSTALL_LMOD lua):" \
+ "${S}"/lgi/Makefile || die "sed failed"
+}
+
+src_compile() {
+ emake CC="$(tc-getCC)" COPTFLAGS="-Wall -Wextra ${CFLAGS}" LIBFLAG="-shared ${LDFLAGS}"
+}
+
+src_test() {
+ virtx emake CC="$(tc-getCC)" COPTFLAGS="-Wall -Wextra ${CFLAGS}" LIBFLAG="-shared ${LDFLAGS}" check
+}
+
+src_install() {
+ emake DESTDIR="${D}" install
+ docompress -x /usr/share/doc/${PF}
+ dodoc README.md
+ dodoc -r docs/*
+ if use examples; then
+ dodoc -r samples
+ fi
+}